Bug 798883 - All map-reduce jobs fails with "error in opening zip file" error
All map-reduce jobs fails with "error in opening zip file" error
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: HDFS (Show other bugs)
pre-release
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Steve Watt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 02:49 EST by M S Vishwanath Bhat
Modified: 2016-05-31 21:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:40:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2012-03-01 02:49:40 EST
Description of problem:
All map-reduce jobs are failing with the following error 

12/03/01 07:46:45 WARN mapred.JobClient: Error reading task outputhttp://client8:50060/tasklog?plaintext=true&taskid=attempt_201203010733_0003_m_000001_1&filter=stdout
12/03/01 07:46:45 WARN mapred.JobClient: Error reading task outputhttp://client8:50060/tasklog?plaintext=true&taskid=attempt_201203010733_0003_m_000001_1&filter=stderr
12/03/01 07:46:49 INFO mapred.JobClient: Task Id : attempt_201203010733_0003_m_000001_2, Status : FAILED
Error initializing attempt_201203010733_0003_m_000001_2:
java.util.zip.ZipException: error in opening zip file
        at java.util.zip.ZipFile.open(Native Method)
        at java.util.zip.ZipFile.<init>(ZipFile.java:131)
        at java.util.jar.JarFile.<init>(JarFile.java:150)
        at java.util.jar.JarFile.<init>(JarFile.java:114)
        at org.apache.hadoop.util.RunJar.unJar(RunJar.java:36)
        at org.apache.hadoop.mapred.TaskTracker.localizeJob(TaskTracker.java:815)
        at org.apache.hadoop.mapred.TaskTracker.startNewTask(TaskTracker.java:1664)
        at org.apache.hadoop.mapred.TaskTracker.access$1200(TaskTracker.java:97)
        at org.apache.hadoop.mapred.TaskTracker$TaskLauncher.run(TaskTracker.java:1629)


Version-Release number of selected component (if applicable):
master with head at 6c4b8d02db7b47d67a306a71a72bcc016fbdf183 and with patch http://review.gluster.com/#change,2844 applied

How reproducible:
always

Steps to Reproduce:
1. Run any map-reduce jobs on distributed-striped-replicated gluster volume.
  
Actual results:


Expected results:
jobs should not fail and should pass.

Additional info:
This is not introduced  by the patch http://review.gluster.com/#change,2844 sent by venky. 
Will Try in distributed-replicated volume and post the results.
Comment 1 M S Vishwanath Bhat 2012-03-01 02:56:58 EST
The basic jobs pass without any error in 'distributed-replicated' volume.
Comment 2 umiyosh 2014-12-09 02:54:22 EST
I have the same issue. Glusterƒs version is glusterfs 3.6.1.
I want to use Jenkins_home on Gluster volume relicated which path is /jenkins. And I did so.

/jenkins is mounted  by  this command: mount -t glusterfs mynode01:jenkins-volume /jenkins/
all gluster settings are defalt setting.
But Any jenkins  plugin can't inspect and ZipException occured.

SEVERE: Failed Inspecting plugin /jenkins/plugins/javadoc.jpi
java.util.zip.ZipException: error in opening zip file
        at java.util.zip.ZipFile.open(Native Method)
        at java.util.zip.ZipFile.<init>(ZipFile.java:132)
        at java.util.jar.JarFile.<init>(JarFile.java:153)
        at java.util.jar.JarFile.<init>(JarFile.java:117)
        at jenkins.util.AntClassLoader.addPathFile(AntClassLoader.java:502)
        at hudson.ClassicPluginStrategy$AntClassLoader2.addPathFiles(ClassicPluginStrategy.java:735)
        at hudson.ClassicPluginStrategy.createClassLoader(ClassicPluginStrategy.java:261)
        at hudson.ClassicPluginStrategy.createPluginWrapper(ClassicPluginStrategy.java:236)
        at hudson.PluginManager$1$3$1.run(PluginManager.java:250)
        at org.jvnet.hudson.reactor.TaskGraphBuilder$TaskImpl.run(TaskGraphBuilder.java:169)
        at org.jvnet.hudson.reactor.Reactor.runTask(Reactor.java:282)
        at jenkins.model.Jenkins$7.runTask(Jenkins.java:903)
        at org.jvnet.hudson.reactor.Reactor$2.run(Reactor.java:210)
        at org.jvnet.hudson.reactor.Reactor$Node.run(Reactor.java:117)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1146)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
        at java.lang.Thread.run(Thread.java:701)

is there workaround? or any idea?

Best regards
Comment 3 Kaleb KEITHLEY 2015-10-22 11:40:20 EDT
pre-release version is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.